Skip to main content
Resource Center/Hardware/Host Operations/SR-IOV Operations
GETSR-IOV OperationsSince 3.9.0SynchronousAuth Required

IsVfNicAvailableInL3Network

IsVfNicAvailableInL3Network

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • l3NetworkUuidStringRequired

    The L3 network UUID.

  • hostUuidStringRequired

    The host UUID.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • vfNicAvailablebooleanRequired

    Whether a virtual function (VF) NIC is available.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/l3-networks/{l3NetworkUuid}/hosts/{hostUuid}/vfnicavailable

/zstack/v1/l3-networks/{l3NetworkUuid}/hosts/{hostUuid}/vfnicavailable

Operation ID

IsVfNicAvailableInL3Network

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/l3-networks/{l3NetworkUuid}/hosts/{hostUuid}/vfnicavailable?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "vfNicAvailable": true }

Change History

This API has no change history records yet.

View all change history